Escalation Rules
Alle Operationen rund um Escalation Rules.
Datenmodell
Die Endpoints dieses Moduls arbeiten auf folgender Entität. Die Schema-Referenz listet jedes Feld mit Typ, Validierung und Beziehungen:
| Entität | Schema-ID | Felder | Sequenz | Permissions |
|---|---|---|---|---|
| Escalation Rule | escalation_rule |
11 | — | escalation_rule_* |
Endpoints
| Methode | Pfad | Operation | Beschreibung |
|---|---|---|---|
POST |
/v1/escalation_rules |
Create escalation_rule | Create a new escalation_rule in the active tenant. |
DELETE |
/v1/escalation_rules/{id} |
Delete escalation_rule | Soft delete entity. |
GET |
/v1/escalation_rules/{id} |
Get escalation_rule by id | Fetch a single escalation_rule. |
GET |
/v1/escalation_rules/{id}/linked |
Get linked entities | CodeMeta OS API endpoint. |
GET |
/v1/escalation_rules/{id}/timeline |
Get timeline | CodeMeta OS API endpoint. |
GET |
/v1/escalation_rules/{id}/transitions |
List transitions | CodeMeta OS API endpoint. |
GET |
/v1/escalation_rules |
List escalation_rules | List escalation_rules for the active tenant. |
PATCH |
/v1/escalation_rules/{id} |
Patch escalation_rule | JSON Merge Patch update. |
POST |
/v1/escalation_rules/bulk |
Bulk operation | CodeMeta OS API endpoint. |
POST |
/v1/escalation_rules/{id}/transition |
POST /v1/escalation_rules/{id}/transition | CodeMeta OS API endpoint. |
POST |
/v1/escalation_rules/{id}/transitions/{transitionKey} |
Execute transition | CodeMeta OS API endpoint. |
PUT |
/v1/escalation_rules/{id} |
Replace escalation_rule | Full replace with optimistic locking. |